I'v upgraded to Unity 5.3.2p1. Since then unity build for iOS9 fails to run with Pushwoosh.

I also tried upgrading to the latest Pushwoosk Unity SDK.

Already in the Pushwoosh request it seems the Application is empty when Pushwoosh calls: "https://cp.pushwoosh.com/json/1.3/getInApps"

This is even though I set Pushwoosh.ApplicationCode on Start() in the PushNotificator.cs (I even tried moving it to Awake() - but that did not change).

The result is: Response: {"status_code":210,"status_message":"Application not found","response":null}

And when Pushwoosh calls: https://cp.pushwoosh.com/json/1.3/registerUser, it is: Response: {"status_code": 210, "status_message": "Request format is not valid."}

What I don't understand is how is it even supposed to work when the plugin calls AppCode? Why change that from the earlier version?

Also - it seems now, the Pushwoosh plugin sets the BitCode iOS support to "disable" - while I don't yet use that, that it extremely intrusive to be doing from a plugin!

asked 01 Feb '16, 10:51
GuyT's gravatar image

GuyT
112

edited 01 Feb '16, 11:48

Be the first one to answer this question!
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×353
×91
×88

question asked: 01 Feb '16, 10:51

question was seen: 575 times

last updated: 01 Feb '16, 11:48